"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const server_1 = require("../methods/server");
const listen = jest.fn();
jest.mock('fastify', () => ({
    __esModule: true,
    default: jest.fn(() => ({ register: () => { }, listen })),
}));
describe('server-utils', () => {
    it('should listen', async () => {
        jest.doMock('fastify');
        const handler = jest.fn();
        const server = (0, server_1.createPubSubServer)(handler);
        await server.listen();
        expect(listen).toHaveBeenCalled();
    });
});
//# sourceMappingURL=server-utils.test.js.map